Project

General

Profile

Bug #12469

mlxcx: errors in package metadata

Added by jing zhang 2 months ago. Updated about 1 month ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
driver - device drivers
Start date:
Due date:
% Done:

100%

Estimated time:
Difficulty:
Bite-size
Tags:
Gerrit CR:

Description

diff --git a/usr/src/pkg/manifests/driver-network-mlxcx.mf b/usr/src/pkg/manifests/driver-network-mlxcx.mf
index dec1aa726c..6813210635 100644
--- a/usr/src/pkg/manifests/driver-network-mlxcx.mf
+++ b/usr/src/pkg/manifests/driver-network-mlxcx.mf
@@ -24,7 +24,7 @@ set name=pkg.fmri value=pkg:/driver/network/mlxcx@$(PKGVERS)
 set name=pkg.description value="Mellanox ConnectX-4/5/6 Ethernet Driver" 
 set name=pkg.summary value="Mellanox ConnectX-4/5/6 Ethernet Driver" 
 set name=info.classification \
-    value=org.opensolaris.category.2008:Drivers/Storage
+    value=org.opensolaris.category.2008:Drivers/Networking
 set name=variant.arch value=i386
 dir path=kernel group=sys
 dir path=kernel/drv group=sys
@@ -48,7 +48,7 @@ driver name=mlxcx \
 file path=kernel/drv/$(ARCH64)/mlxcx group=sys
 file path=kernel/drv/mlxcx.conf group=sys
 file path=usr/share/man/man7d/mlxcx.7d
-legacy pkg=SUNWmrsas desc="Mellanox ConnectX-4/5/6 Ethernet Driver" \
+legacy pkg=SUNWmlxcx desc="Mellanox ConnectX-4/5/6 Ethernet Driver" \
     name="Mellanox ConnectX-4/5/6 Ethernet Driver" 
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL

History

#1

Updated by Andy Fiddaman about 2 months ago

This problem prevents the installation of mlxcx on an IPS system:


omniosce# pkg install --reject ntpsec \*
Creating Plan (Checking for conflicting actions): \
pkg install: The requested change to the system attempts to install multiple actions
for legacy 'SUNWmrsas' with conflicting attributes:

    1 package delivers 'legacy category=system desc="LSI MegaRAID SAS2.0 Controller HBA Driver" hotline="Please contact your local service provider" name="LSI MegaRAID SAS2.0 HBA Driver" pkg=SUNWmrsas vendor=Illumos version=11.11,REV=2009.11.11':
        pkg://omnios/driver/storage/mr_sas@0.5.11,5.11-151034.0:20200419T131209Z
    1 package delivers 'legacy category=system desc="Mellanox ConnectX-4/5/6 Ethernet Driver" hotline="Please contact your local service provider" name="Mellanox ConnectX-4/5/6 Ethernet Driver" pkg=SUNWmrsas vendor=Illumos version=11.11,REV=2009.11.11':
        pkg://omnios/driver/network/mlxcx@0.5.11,5.11-151034.0:20200419T131158Z

These packages cannot be installed together. Any non-conflicting subset
of the above packages can be installed.
#2

Updated by Andy Fiddaman about 2 months ago

  • Category set to driver - device drivers
  • Status changed from New to In Progress
  • Assignee changed from Toomas Soome to Andy Fiddaman
  • Difficulty changed from Medium to Bite-size
#3

Updated by Andy Fiddaman about 2 months ago

  • Subject changed from Mlxcx: pkg errors to mlxcx: errors in package metadata
#4

Updated by Andy Fiddaman about 2 months ago

To test this, I did a full build and onu, then checked that I was able to successfully install the network/mlxcx package alongside mr_sas.

#5

Updated by Electric Monk about 1 month ago

  • Status changed from In Progress to Closed
  • % Done changed from 0 to 100

git commit ee73640b6a4781aa745f3868c448d1b9dd1c29f6

commit  ee73640b6a4781aa745f3868c448d1b9dd1c29f6
Author: Andy Fiddaman <omnios@citrus-it.co.uk>
Date:   2020-04-21T12:18:05.000Z

    12469 mlxcx: errors in package metadata
    Reviewed by: Paul Winder <paul@winders.demon.co.uk>
    Reviewed by: Robert Mustacchi <rm@fingolfin.org>
    Reviewed by: Andrew Stormont <andyjstormont@gmail.com>
    Approved by: Dan McDonald <danmcd@joyent.com>

Also available in: Atom PDF